/* -*- Mode: Java; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*- */
"use strict";

let Ci = Components.interfaces;
let Cc = Components.classes;
let Cr = Components.results;
let Cu = Components.utils;
Cu.import ("resource://gre/modules/XPCOMUtils.jsm");
XPCOMUtils.importRelative (this, "UnMHTPref.jsm");

let EXPORTED_SYMBOLS = ["UnMHTLocaleUtil"];

/**
 * ロケール関連ユーティリティ
 */
let UnMHTLocaleUtil = {
  /**
   * 日本語かどうか返す
   *
   * @return Boolean
   *         日本語かどうか
   */
  isJapanene : function () {
    let locale = "ja-JP";
    try {
      locale = UnMHTPref.prefBranch.getCharPref ("general.useragent.locale");
    }
    catch (e) {
    }
    
    if (locale.match (/^ja/)) {
      return true;
    }
    
    return false;
  }
};
